GNU bug report logs - #51308
29.0.50; A number of tests fail with AOT

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; merged with #52138; dated Wed, 20 Oct 2021 18:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 51308 52138. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51308 <at> debbugs.gnu.org:


Received: (at 51308) by debbugs.gnu.org; 21 Oct 2021 04:31:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:31:38 2021
Received: from localhost ([127.0.0.1]:56038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPju-0006N1-84
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:31:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mdPjs-0006Mk-GD
 for 51308 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:31:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=IDSGMHpU6ebsWP1pKgaLFEKAnbzFn2jcTD5yQV9Inzo=; b=rCC4IXgxLdWc8Hyj7NG26yOCWo
 T1gLZmD1cYcH0tTpebk770LsyowtmHsxvtOIeWpj/tz8bM1w5CBDyvxqBa5U7UqFP7YWEHVPB511J
 UxmbogrpItc0CBn9hJJNeLDrsVyti282ViyN6/RcRrXJEIG0pd2LcyR/nYbvch0JCBXo=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mdPji-00061v-W6; Thu, 21 Oct 2021 06:31:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 51308 <at> debbugs.gnu.org
Subject: Re: bug#51308: 29.0.50; A number of tests fail with AOT
References: <87o87jlfr7.fsf@HIDDEN>
X-Now-Playing: Sylvester's _Sylvester-Step II_: "Down, Down, Down"
Date: Thu, 21 Oct 2021 06:31:26 +0200
In-Reply-To: <87o87jlfr7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 20 Oct 2021 20:20:44 +0200")
Message-ID: <87k0i7gfs1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Files examined:
 375 > Ran 5645 tests, 5513 results as expected, 8 unexpected, 124 skipped
 > 5 files contained unexpected results: > lisp/net/socks-tests.log >
 lisp/loadhist-tests.log > lisp/hi-lock- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51308
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Files examined: 375
> Ran 5645 tests, 5513 results as expected, 8 unexpected, 124 skipped
> 5 files contained unexpected results:
>   lisp/net/socks-tests.log
>   lisp/loadhist-tests.log
>   lisp/hi-lock-tests.log
>   lisp/emacs-lisp/ert-tests.log
>   lisp/calendar/todo-mode-tests.log

I've now fixed

>   lisp/hi-lock-tests.log
>   lisp/calendar/todo-mode-tests.log

which were about wrong number of parameters (which native-comp is more
strict about) when redefining functions.

>   lisp/emacs-lisp/ert-tests.log

is about

(backtrace-frame-fun (car (ert-test-failed-backtrace result)))
=> ert-fail

(car (ert-test-failed-backtrace result))
=> #s(backtrace-frame t ert-fail ("foo") nil ((debugger-may-continue . t) (inhibit-redisplay) (inhibit-debugger . t) (inhibit-changing-match-data)) nil nil)

while it's `signal' when ert isn't natively compiled.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51308; Package emacs. Full text available.

Message received at 51308 <at> debbugs.gnu.org:


Received: (at 51308) by debbugs.gnu.org; 21 Oct 2021 04:20:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:20:49 2021
Received: from localhost ([127.0.0.1]:56028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPZQ-00064w-Ux
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:20:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mdPZP-00064j-N9
 for 51308 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:20:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=By+M+rWB0y2RuS7i301Z7lHJ1NAV+N8xKLFWtU0ahgk=; b=kME0XRs2oCv/dX0Qm1hUzXP64h
 rtCiMQI+h9gNHkaSVD5xlHXKJwZBiTS/nvEN3tDJ30BVUs6ijCEzyzSun+f+7Xb2joltcqjXmapsC
 050tSU+KvFtmzxuGi91St5sB5qRTDxdr9yMIzqAK+sVQGFtsyFSsdIejxMkelQtLlnAs=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mdPZE-0005tu-Ez; Thu, 21 Oct 2021 06:20:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 51308 <at> debbugs.gnu.org
Subject: Re: bug#51308: 29.0.50; A number of tests fail with AOT
References: <87o87jlfr7.fsf@HIDDEN>
X-Now-Playing: Sylvester's _Sylvester-Step II_: "I Tried To Forget You"
Date: Thu, 21 Oct 2021 06:20:36 +0200
In-Reply-To: <87o87jlfr7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 20 Oct 2021 20:20:44 +0200")
Message-ID: <87o87jgga3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > 5 files
 contained
 unexpected results: > lisp/net/socks-tests.log This is now fixed. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51308
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> 5 files contained unexpected results:
>   lisp/net/socks-tests.log

This is now fixed.

>   lisp/loadhist-tests.log

This is a bug-ish.  If dired isn't natively-compiled:

(locate-file "dired" load-path (get-load-suffixes))
=> "/home/larsi/src/emacs/trunk/lisp/dired.elc"

But if it is, then we return the .el file instead:

(locate-file "dired" load-path (get-load-suffixes))
=> "/home/larsi/src/emacs/trunk/lisp/dired.el"

But load-history has:

 ("/home/larsi/src/emacs/emacs-28/lisp/dired.elc"

Which means that we can't find the .elc file by looking into
load-history based on locate-file.

Returning the .elc file would fix this, but I don't know what other
repercussions there might be.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51308; Package emacs. Full text available.

Message received at 51308 <at> debbugs.gnu.org:


Received: (at 51308) by debbugs.gnu.org; 21 Oct 2021 03:04:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:04:56 2021
Received: from localhost ([127.0.0.1]:55824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdONz-0005xE-Sa
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:04:56 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mdONx-0005wz-Vd
 for 51308 <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:04:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dU8I3r97Xi0AS3E+Gy8emii+Qk6vWQUhbzrRJEfo32E=; b=D53QfJ9EJqqevWJ8LUQX3egoC6
 UGYTozy94oHO2Qgpk0TwJnzSgL3zkBb0T3Bv/gz8Mj+k70JQ/CAqPZUVswfawPdSdv7mItp0T4bLa
 sTv6Tz3VQU3T7TEidPmoIwM/mIEOwjyoawFq7W2OHc7TiPBGwT2BNEW37gWnm2UpGl/g=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mdONp-0005Lx-0y; Thu, 21 Oct 2021 05:04:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51308: 29.0.50; A number of tests fail with AOT
References: <87o87jlfr7.fsf@HIDDEN> <83lf2na6vc.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVPSZeWZJemqNJL
 J1z///9SRQkfAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UKFQIpL0s56UEAAAGPSURBVDjLbZSLscQg
 CEUhNCDaQLQCMvTf2+OjxrxZd3Ym4Xj5KQGYC0euDt9Vx/hJLrdwQef3P0EBIAU28gG3kIo9EIzB
 rx19u9uRtB5hmMFIahAOZ6blQupLsFxbcnXT6FwCVJdk3MhNN3HJnTWUWsJGlrAKwwQ4kIm2QtG2
 JmAuoseyrVm9RYA0ccSy8lclkuBJINahFIDSAhx5LVB0ecp6eEaHFXuBiydYuU5XigvsRPlJgLMp
 /tIOhWBEVwfUngTN0y2zEENmonDl4I1BCitGlF4DqFeC4WQW+CyFvWOYnieB7QQJ8laSp+iORK3C
 CaZCKADtyj1IKCRC03FKloGhTFXgPFdz1xLQihBZ+b9MyeyVX604QQfyAsQAD5PYnZx2v7NeYfMm
 MkF7ARa2wejooDxlhSDB7rPUvWPWDLvx6/bwqDFrzN3bvyUQs2fAf7UJvKD7dA5r8jBwjCDWmOde
 HZUDQO3pzZPjE1zDNlcrxgfwlOD+MNi9+fja34zPd+ElHX6v63iWEyDti/wHpVlir3d8zIMAAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjEtMTAtMjFUMDI6NDE6NDYrMDA6MDDcWq4VAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIxLTEwLTIxVDAyOjQxOjQ2KzAwOjAwrQcWqQAAAABJRU5ErkJggg==
X-Now-Playing: Alice Coltrane's _Kirtan Turiya Sings_: "Charanam"
Date: Thu, 21 Oct 2021 05:04:44 +0200
In-Reply-To: <83lf2na6vc.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 20 Oct
 2021 21:28:07 +0300")
Message-ID: <87pmrzhycz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Code that redefines
 functions which are in *.eln files should disable > native-compilation. Isn't
 it possible to flet natively compiled functions? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51308
Cc: 51308 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Code that redefines functions which are in *.eln files should disable
> native-compilation.

Isn't it possible to flet natively compiled functions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51308; Package emacs. Full text available.

Message received at 51308 <at> debbugs.gnu.org:


Received: (at 51308) by debbugs.gnu.org; 20 Oct 2021 18:28:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 14:28:04 2021
Received: from localhost ([127.0.0.1]:55425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdGJn-0003VZ-Uh
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 14:28:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mdGJm-0003Ug-7R
 for 51308 <at> debbugs.gnu.org; Wed, 20 Oct 2021 14:28:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50548)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mdGJe-00013t-Kb; Wed, 20 Oct 2021 14:27:55 -0400
Received: from [87.69.77.57] (port=1301 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mdGJe-0000F6-7f; Wed, 20 Oct 2021 14:27:54 -0400
Date: Wed, 20 Oct 2021 21:28:07 +0300
Message-Id: <83lf2na6vc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87o87jlfr7.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 20 Oct 2021 20:20:44 +0200)
Subject: Re: bug#51308: 29.0.50; A number of tests fail with AOT
References: <87o87jlfr7.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51308
Cc: 51308 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 20 Oct 2021 20:20:44 +0200
> Cc: Andrea Corallo <akrl@HIDDEN>
> 
> Files examined: 375
> Ran 5645 tests, 5513 results as expected, 8 unexpected, 124 skipped
> 5 files contained unexpected results:
>   lisp/net/socks-tests.log
>   lisp/loadhist-tests.log
>   lisp/hi-lock-tests.log
>   lisp/emacs-lisp/ert-tests.log
>   lisp/calendar/todo-mode-tests.log
> 
> I have not tried to debug this further, but a cursory look at the
> backtraces seems to suggest the failures might have something to do with
> redefining functions -- but that's just a guess.

Code that redefines functions which are in *.eln files should disable
native-compilation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51308; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2021 18:21:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 14:21:01 2021
Received: from localhost ([127.0.0.1]:55403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdGCz-0003J4-6g
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 14:21:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:47884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mdGCy-0003Ix-Dk
 for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 14:21:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49072)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1mdGCv-0000nD-Nr
 for bug-gnu-emacs@HIDDEN; Wed, 20 Oct 2021 14:21:00 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:39712)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1mdGCo-0002Gr-Gn
 for bug-gnu-emacs@HIDDEN; Wed, 20 Oct 2021 14:20:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:Subject:Cc:To:From:
 Sender:Reply-To:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=+044KgNJFvxEcnUNmLfNQSYUJKQo+7TpdUclOlQAEFs=; b=BpRDarePRrXDibYwGcZwpHdhcq
 kNgUcTkybii5E07mEogkt/IA20feivObyPNcYUD8uu1vlPjM5wsSpNJulxfwj+S0BHNvPR/AogSiQ
 TTTtACNEvAvujzQboz+67I4+5RYAdBWB7TsTAPGHcWEdHKWiNWyapwabVWlD99pgMcE4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mdGCi-0001eL-NS; Wed, 20 Oct 2021 20:20:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; A number of tests fail with AOT
X-Now-Playing: Juana Molina's _Segundo_: "Sonamos"
Date: Wed, 20 Oct 2021 20:20:44 +0200
Message-ID: <87o87jlfr7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: With NATIVE_FULL_AOT=1 make -j16 bootstrap a number of tests
 fail: Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


With

NATIVE_FULL_AOT=1 make -j16 bootstrap

a number of tests fail:

SUMMARY OF TEST RESULTS
-----------------------
Files examined: 375
Ran 5645 tests, 5513 results as expected, 8 unexpected, 124 skipped
5 files contained unexpected results:
  lisp/net/socks-tests.log
  lisp/loadhist-tests.log
  lisp/hi-lock-tests.log
  lisp/emacs-lisp/ert-tests.log
  lisp/calendar/todo-mode-tests.log

I have not tried to debug this further, but a cursory look at the
backtraces seems to suggest the failures might have something to do with
redefining functions -- but that's just a guess.


In GNU Emacs 29.0.50 (build 39, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.16.0)
 of 2021-10-20 built on elva
Repository revision: 62591c164cd6d0b0555e11b160ffa81bd3bb010f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux bookworm/sid


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51308; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 27 Nov 2021 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.